/**
 * @file
 * Snippet manager behaviors.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.behaviors.snippetManagerCodeEditor = {
    attach: function (context, settings) {

      var textArea = $('#edit-code-value')[0];
      if (textArea) {
        var editor = CodeMirror.fromTextArea(textArea, {
          lineNumbers: true,
          mode: 'twig'
        });

        var doc = editor.getDoc();

        $('.snippet-variable').click(function() {
          doc.replaceRange('{{' + $(this).text() + '}}', doc.getCursor());
          return false;
        });
      }

    }
  };

  Drupal.behaviors.snippet_managerExamplHtmlSource = {
    attach: function (context, settings) {

      var textArea = $('.snippet-html-source')[0];
      if (textArea) {
        CodeMirror.fromTextArea(textArea, {
          mode: "text/html",
          lineNumbers: true,
          readOnly: true,
          foldGutter: true,
          gutters: ["CodeMirror-linenumbers", "CodeMirror-foldgutter"]
        });
      }

    }
  };

} (jQuery, Drupal));
