<?php

/**
 * @file
 * Contains Drupal\snippet_manager\Form\SnippetDeleteForm.
 */

namespace Drupal\snippet_manager\Form;

use Drupal\Core\Entity\EntityDeleteForm;

/**
 * Builds the form to delete a snippet.
 */
class SnippetDeleteForm extends EntityDeleteForm {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return '_confirm_delete';
  }

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t('Are you sure you want to delete the snippet %title?', ['%title' => $this->entity->label()]);
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeletionMessage() {
    return $this->t('The snippet %name has been deleted.', ['%name' => $this->entity->label()]);
  }

}
